﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace TestUltraGrid
{
    public partial class MyUserControl : UserControl
    {
        UltraGrid gridNew;
        public MyUserControl(ref UltraGrid grid)
        {
            InitializeComponent();

            gridNew = grid;
        }
        DataTable tb;

        int i = 0;
        private void button1_Click(object sender, EventArgs e)
        {
            i++;
            txtInputControl.Text = i.ToString();
            Form1.dtData.Rows.Add(i.ToString());
        }

        private void txtInputControl_BeforeEnterEditMode(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
        }

        /// <summary>
        ///  Change the background and forecolor when the selection box gets focus
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void txtInputControl_GotFocus(object sender, EventArgs e)
        {
            txtInputControl.Appearance.ForeColor = Color.White;
            txtInputControl.Appearance.BackColor = Color.FromArgb(49, 106, 197);
        }

        /// <summary>
        /// Clear the contents of selection box when the control receives focus and user presses 'Delete' key
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void txtInputControl_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode.Equals(Keys.Delete))
            {
               
            }
            e.Handled = true;
        }

        void txtInputControl_LostFocus(object sender, EventArgs e)
        {
            txtInputControl.Appearance.ResetForeColor();
            txtInputControl.Appearance.ResetBackColor();
        }
    }
}
