﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinEditors;

namespace TestUltraGrid
{
    public partial class Form1 : Form
    {
        UltraTextEditor editor2;
        UltraTextEditor editor1;
        public Form1()
        {
            InitializeComponent();
            BindAssociatedObjects();

            MyUserControl uc1 = (MyUserControl)ultraControlContainerEditor1.EditingControl;
            editor1 = (UltraTextEditor)uc1.Controls["txtInputControl"];

            MyUserControl uc2 = (MyUserControl)ultraControlContainerEditor1.RenderingControl;
            editor2 = (UltraTextEditor)uc2.Controls["txtInputControl"];

            editor1.TextChanged += new EventHandler(editor1_TextChanged);
        }

        int i = 0;
        void editor1_TextChanged(object sender, EventArgs e)
        {
            i++;
            editor2.Value = ultraGrid1.Rows.Count.ToString();
            editor1.Value = ultraGrid1.Rows.Count.ToString();
        }

       public static  DataTable dtData;
        private void BindAssociatedObjects()
        {
            dtData = new DataTable("TestTable");
            dtData.Columns.Add("Object", typeof(string));

            dtData.Rows.Add("first");

            this.ultraGrid1.DataSource = dtData;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.AutoFitStyle = AutoFitStyle.ExtendLastColumn;
            e.Layout.CaptionVisible = DefaultableBoolean.False;
            e.Layout.Override.RowSizing = RowSizing.AutoFixed;
            e.Layout.Bands[0].Columns["Object"].EditorComponent = this.ultraControlContainerEditor1;
            e.Layout.Bands[0].ColHeadersVisible = false;
        }

        object[] list = new object[10];
        private void button1_Click(object sender, EventArgs e)
        {
            int j = 0;
            foreach (DataRow row in dtData.Rows)
            {
                list.SetValue(row.ItemArray[0], j);
            }

            foreach (DataRow row in dtData.Rows)
            {
                Console.WriteLine(list.GetValue(j));
            }
            j++;
        }
    }
}
